
Redmine - Feature #5054

Redmine.pm: Provide directive to override RedmineQuery

2010-03-11 18:38 - Pieter Smith

Status: New Start date: 2010-03-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Please provide a directive that makes it possible to override the authentication query RedmineQuery.  Please note that

RedmineDbWhereClause is insufficient because it does not enable expanding on the SELECT (to include users.admin for example).

The following diff does not change the default behaviour, but provides a RedmineDbQuery directive which gives full flexibility to

customize the authentication criteria in the apache config.  I can even make use of custom fields.

History

#1 - 2010-03-12 16:37 - Jean-Philippe Lang

- Category set to SCM

#2 - 2010-08-26 00:49 - Eric Davis

- Priority changed from High to Normal

- Estimated time deleted (0.50 h)

#3 - 2011-03-24 06:21 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

Files

Redmine.pm.diff 788 Bytes 2010-03-11 Pieter Smith
